## python-jpype 1.6.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JPype.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JPype.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JPype"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JPype"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-jpype 0.5.4.1

=== debian/changelog ===
python-jpype (0.5.4.1-4) unstable; urgency=low

  * Change Maintainer to DPMT. 
  * Switch to dh_python2. 
  * Bump Standards-Version to 3.9.2 (with no changes).

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 11:17:05 +0900

python-jpype (0.5.4.1-3) unstable; urgency=low

  * debian/control: add java6-runtime-headeless to Depends:. (Closes: 601510) 
  * debian/source/format: 3.0 (quilt).
  * debian/control: Bumped Standards-version to 3.9.1 - no changes necessary.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 14:03:10 +0900

python-jpype (0.5.4.1-2) unstable; urgency=low

  * debian/control: add openjdk-6-jdk to Build-Depends:. (Closes: #559090)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 20 Dec 2009 17:03:26 +0900

python-jpype (0.5.4.1-1) unstable; urgency=low

  * Initial release (Closes: #551485)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 18 Oct 2009 16:56:17 +0900

=== debian/control ===
Source: python-jpype
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), openjdk-6-jdk | default-jdk, python-all-dev
Standards-Version: 3.9.2
Homepage: http://jpype.sourceforge.net/

Package: python-jpype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, default-jre | java6-runtime-headless
Provides: ${python:Provides}
Description: Binding the worlds of Java and Python
 JPype is an effort to allow Python programs full access to java class
 libraries. This is achieved not through re-implementing Python, as
 Jython/JPython has done, but rather through interfacing at the native
 level in both Virtual Machines.
 .
 Eventually, it should be possible to replace Java with Python in many,
 though not all, situations. JSP, Servlets, RMI servers and IDE plugins
 are good candidates.

=== debian/rules ===
#!/usr/bin/make -f
# export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA_HOME=/usr/lib/jvm/java-6-openjdk

%:
	dh $@ --with python2

## python-jpype 0.5.4.2

=== debian/changelog ===
python-jpype (0.5.4.2-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * Bump Standards Version to 3.9.4 (with no changes). 
  * debian/patches/default_jvm_path: Set default JVM path. (Closes: #683048)
  * debian/control: B-D depends on only default-jdk. (Closes: #684278)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 15 May 2013 13:30:55 +0900

python-jpype (0.5.4.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * Fixed FTBFS (Closes: #640345)
  * debian/rules: change JAVA_HOMEk
  * debian/control: add default-jre-headless to B-D.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Sep 2011 10:54:19 +0900

python-jpype (0.5.4.2-1) unstable; urgency=low

  * New upstream.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 11 Aug 2011 21:51:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7), openjdk-6-jdk | default-jdk, python-all-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), default-jdk, python-all-dev
+Standards-Version: 3.9.4
 Homepage: http://jpype.sourceforge.net/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-jpype/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-jpype/trunk/
 
 Package: python-jpype
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-6-openjdk

%:
	dh $@ --with python2

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php python-jpype-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/python-jpype-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/python-jpype-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/python-jpype/python-jpype-(.*)\.tar\.gz
http://sf.net/jpype/JPype-(.*)\.zip

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html python-jpype-(.*)\.tar\.gz

## python-jpype 0.6.2%2Bdfsg

=== debian/control ===
Source: python-jpype
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11), default-jdk
	, python-all-dev
	, python-setuptools
	, python-numpy
	, python3-all-dev
	, python3-setuptools
	, python3-numpy
	, dh-python
Standards-Version: 4.1.3
Homepage: https://github.com/originell/jpype
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jpype.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jpype

Package: python-jpype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, default-jre | java6-runtime-headless
Provides: ${python:Provides}
Description: Binding the worlds of Java and Python (for Python 2)
 JPype is an effort to allow Python programs full access to java class
 libraries. This is achieved not through re-implementing Python, as
 Jython/JPython has done, but rather through interfacing at the native
 level in both Virtual Machines.
 .
 Eventually, it should be possible to replace Java with Python in many,
 though not all, situations. JSP, Servlets, RMI servers and IDE plugins
 are good candidates.
 .
 This package for Python 2.

Package: python3-jpype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, default-jre | java6-runtime-headless
Provides: ${python3:Provides}
Description: Binding the worlds of Java and Python (for Python 3)
 JPype is an effort to allow Python programs full access to java class
 libraries. This is achieved not through re-implementing Python, as
 Jython/JPython has done, but rather through interfacing at the native
 level in both Virtual Machines.
 .
 Eventually, it should be possible to replace Java with Python in many,
 though not all, situations. JSP, Servlets, RMI servers and IDE plugins
 are good candidates.
 .
 This package for Python 3.

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jpype-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg//" \
  https://github.com/originell/jpype/tags .*/v?(\d\S+)\.tar\.gz

## python-jpype 0.6.2+dfsg

=== debian/changelog ===
python-jpype (0.6.2+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Add python-setuptoolts to B-D. (Closes: #890387)
    - Add python-numpy to B-D.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 18 Feb 2018 20:20:48 +0900

python-jpype (0.6.2+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * debian/watch: Set new location.
  * New upstream version 0.6.2+dfsg (Closes: #863050)
  * debian/rules: 
    + call dh_numpy
    + disable test
  * Remove test/sample/big.xml from upstream. (Closes: #867199)
  * debian/control: 
    - Add dh-python to B-D.
    - Change Priority from extra to optional
    - Migrate Vcs-* to salsa.debian.org.
  * debian/watch: Add dversionmangle
  * Bump Standards-Version to 4.1.3
  * debian/compat: 11

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 11 Feb 2018 18:42:08 +0900

## python-jpype 0.6.3+dfsg

=== debian/changelog ===
python-jpype (0.6.3+dfsg-1) unstable; urgency=medium

  * debian/copyright: Rewirte in DEP-5 style format
  * debian/watch: repacksuffix
  * New upstream version 0.6.3+dfsg
  * Bump Standards-Version to 4.1.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 08 May 2018 21:41:46 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, python3-setuptools
 	, python3-numpy
 	, dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/originell/jpype
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-jpype.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jpype

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
export PYBUILD_NAME=jpype
export PYBUILD_AFTER_INSTALL=dh_numpy; dh_numpy3
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild --with python2,python3

## python-jpype 0.7+dfsg

=== debian/changelog ===
python-jpype (0.7+dfsg-2) unstable; urgency=medium

  * Add ant to B-D
  * debian-compat: Bump to 12

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Aug 2019 14:03:09 +0900

python-jpype (0.7+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ TANIGUCHI Takaki ]
  * New upstream version 0.7+dfsg

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 30 Jul 2019 17:57:26 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11), default-jdk
+Build-Depends: debhelper-compat (= 12), default-jdk
+	, ant
 	, python-all-dev
 	, python-setuptools
 	, python-numpy
@@ -11,7 +12,7 @@
 	, python3-setuptools
 	, python3-numpy
 	, dh-python
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/originell/jpype
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-jpype.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jpype

## python-jpype 0.7.1+dfsg

=== debian/changelog ===
python-jpype (0.7.1+dfsg-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:23:13 +0100

python-jpype (0.7.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ TANIGUCHI Takaki ]
  * d/salsa-ci.yml: Add a CI config file
  * New upstream version 0.7.1+dfsg
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 11:24:00 +0900

python-jpype (0.7+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937852
  * debian/patches/no_scm_version.patch
    - remove `use_scm_version = True`, else build would fail from within DPMT
      git

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 13:55:09 -0500

=== debian/control ===
Source: python-jpype
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12), default-jdk
	, ant
	, python3-all-dev
	, python3-setuptools
	, python3-numpy
	, dh-python
Standards-Version: 4.5.0
Homepage: https://github.com/originell/jpype
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jpype.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jpype

Package: python3-jpype
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, default-jre | java6-runtime-headless
Provides: ${python3:Provides}
Description: Binding the worlds of Java and Python (for Python 3)
 JPype is an effort to allow Python programs full access to java class
 libraries. This is achieved not through re-implementing Python, as
 Jython/JPython has done, but rather through interfacing at the native
 level in both Virtual Machines.
 .
 Eventually, it should be possible to replace Java with Python in many,
 though not all, situations. JSP, Servlets, RMI servers and IDE plugins
 are good candidates.
 .
 This package for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
export PYBUILD_NAME=jpype
export PYBUILD_AFTER_INSTALL=dh_numpy3
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild --with python3

## python-jpype 1.0.1

=== debian/changelog ===
python-jpype (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * d/docs: Add NOTICE

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Jul 2020 14:28:27 +0900

python-jpype (0.7.5+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.5+dfsg
  * debian/patches: Remove useless patch.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 30 May 2020 18:53:10 +0900

python-jpype (0.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.7.2+dfsg

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 05 Apr 2020 16:11:39 +0900

## python-jpype 1.2.1

=== debian/changelog ===
python-jpype (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jan 2021 12:15:35 +0900

python-jpype (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Bump Standards-Version to 4.5.1
  * Bump debian-compat to 13
  * debian/rules: Use not python version specific jar file. (Closes: #976782)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 26 Dec 2020 18:38:25 +0900

python-jpype (1.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.1.2
  * d/rules: change jar location

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 14:14:29 +0900

python-jpype (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 06 Sep 2020 11:36:41 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-jpype
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 12), default-jdk
+Build-Depends: debhelper-compat (= 13), default-jdk
 	, ant
 	, python3-all-dev
 	, python3-setuptools
 	, python3-numpy
 	, dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/originell/jpype
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-jpype.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jpype
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-jpype.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jpype
 
 Package: python3-jpype
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
+
+override_dh_python3:
+	dh_python3
+	mv $(CURDIR)/debian/python3-jpype/usr/lib/python3/dist-packages/org.jpype.jar $(CURDIR)/debian/python3-jpype/usr/share/java
+

## python-jpype 1.3.0

=== debian/changelog ===
python-jpype (1.3.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:08:38 +0000

python-jpype (1.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Contact, Repository,
    Repository-Browse.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.3.0
  * install with javahelper
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 Sep 2021 17:29:09 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	, python3-setuptools
 	, python3-numpy
 	, dh-python
-Standards-Version: 4.5.1
+	, javahelper
+Standards-Version: 4.6.0
 Homepage: https://github.com/originell/jpype
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jpype.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jpype

## python-jpype 1.4.0

=== debian/changelog ===
python-jpype (1.4.0-2) unstable; urgency=medium

  * d/rules: Remove rm command for not exist file. (Closes: #1015992)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 26 Jul 2022 10:10:38 +0900

python-jpype (1.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
   (already present in machine-readable debian/copyright).

  [ TANIGUCHI Takaki ]
  * New upstream version 1.4.0
  * debian/rules: remove wrong location jar
  * Bump Standards-Version to 4.6.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 03 Jul 2022 21:40:13 +0900

## python-jpype 1.4.1

=== debian/changelog ===
python-jpype (1.4.1-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Mar 2023 05:52:50 +0000

python-jpype (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports Python 3.11. (Closes: #1024042)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 21:42:09 +0200

## python-jpype 1.5.0

=== debian/changelog ===
python-jpype (1.5.0-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:02:23 +0000

python-jpype (1.5.0-1build3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:44:07 +0000

python-jpype (1.5.0-1build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:31:01 +0100

python-jpype (1.5.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:53:47 +0000

python-jpype (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5.0 (Closes: #1055714)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jan 2024 22:01:49 +0100

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
export PYBUILD_NAME=jpype
export PYBUILD_AFTER_INSTALL=dh_numpy3
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild --with python3 --with javahelper

override_dh_python3:
	dh_python3

override_jh_installlibs:
	jh_installlibs
	rm $(CURDIR)/debian/python3-jpype/usr/lib/python3/dist-packages/org.jpype.jar

## python-jpype 1.6.0

=== debian/changelog ===
python-jpype (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-javahelper.
  * Use pybuild-plugin-pyproject.
  * Simplify some debhelper overrides.
  * Run most tests during build.
  * Look for system-installed org.jpype.jar (closes: #1017761).
  * Enable autopkgtest-pkg-pybuild (closes: #1035211).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Sep 2025 20:49:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
 	, python3-all-dev
 	, python3-setuptools
 	, python3-numpy
-	, dh-python
-	, javahelper
-Standards-Version: 4.6.0
+	, python3-pytest <!nocheck>
+	, dh-sequence-python3
+	, dh-sequence-javahelper
+	, pybuild-plugin-pyproject
+Standards-Version: 4.6.1
 Homepage: https://github.com/originell/jpype
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jpype.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jpype
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-jpype
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME=/usr/lib/jvm/default-java
# export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
export PYBUILD_NAME=jpype
export PYBUILD_TEST_CUSTOM=1
# TODO: Figure out how to set up Java database access.
export PYBUILD_TEST_ARGS=\
	{interpreter} {dir}/setup.py test_java && \
	{interpreter} -m pytest test/jpypetest --checkjni -k 'not test_sql_h2 and not test_sql_hsqldb and not test_sql_sqlite'
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test/classes
export PYBUILD_AFTER_INSTALL=dh_numpy3

%:
	dh $@ --buildsystem=pybuild

execute_after_jh_installlibs:
	rm $(CURDIR)/debian/python3-jpype/usr/lib/python3/dist-packages/org.jpype.jar

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jpype-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg$//,\
repacksuffix=+dfsg \
  https://github.com/originell/jpype/tags .*/v?(\d\S+)\.tar\.gz
